Auction Wizard 2000 Backup Database

Auction Wizard 2000 Database Backup Utility

You should regularly backup your Auction Wizard 2000 database to protect against catastrophic events, such as a hard drive crash. The Database Backup Utility creates compressed backups of your database and/or archive files. Backups can be stored on any available high capacity disk drive, including removable media drives (such as flash drives), network drives, or your hard drive. Backup files cannot be split, so the drive you use to store a backup must have enough free space to store the entire backup file. You cannot store a backup on floppy disks.

It is highly recommended that you store backups on removable media. If you don't have a removable media drive, then you should make backups to your hard drive. However, if backups are stored on your hard drive and that drive becomes unusable, your backup files may be lost. If you have a CD or DVD drive you should backup your database to your hard drive, then burn the backup file to a CD / DVD. If a backup file is too large to fit on a CD or DVD, you can backup your database manually.

Note: The Database Backup Utility cannot backup your database directly to a CD or DVD drive. If you want to store a backup of your database on a CD / DVD, save the backup file to your hard drive, then use your CD / DVD burning software to burn the backup file to a CD / DVD. Once you have burned the backup file to a CD / DVD you can delete it from your hard drive.

The Database Backup Utility can be added to the Task Scheduler in Windows to make backups automatically.

Auction Wizard 2000 Database Backup Utility window

Backup Database To

The controls in this area are used to navigate to the drive and folder where you want to store the backup file. Selecting a drive from the drop down list at the top will display the folders on the selected drive. The folder list below the drive drop down list is used to navigate the folders on the selected drive. Double clicking on a folder will show the subfolders contained within the selected folder.

  • Make a full backup of all data - Select this option to make a full backup of all your Auction Wizard 2000 database and archive (including images and email messages).

  • Make a partial backup - Select this option to choose which data you want included in your backup. Options include:

  • Backup Database Tables - When this box is checked, the tables in the database are included in the backup file. When this box is unchecked, the database tables are not included in the backup file. Place a check in this box if you want the backup to include your database.

  • Backup Archive Tables - When this box is checked, the tables in the archive are included in the backup file. When this box is unchecked, the archive tables are not included in the backup file. Place a check in this box if you want the backup to include your archive.

Note: If you try to start a backup when both the Backup Database Tables and Backup Archive Tables boxes are unchecked, an error message is displayed. At least one of these two boxes must be checked.

  • Exclude Images from Backup - When this box is checked, images in the database and the archive are excluded from the backup. This can reduce the size of backup files significantly. If you restore a backup that excludes images, the images are not restored. Any existing images in the database and/or the archive will remain after the database is restored.

  • Exclude Email Messages from Backup - When this box is checked, email messages in the database and the archive are excluded from the backup. This can reduce the size of backup files significantly. If you restore a backup that excludes email messages, the messages are not restored. Any existing email messages in the database and/or the archive will remain after the database is restored.

  • Backup - Clicking this button begins the backup process. The Database Backup Utility will display a message when the backup completes. Clicking the OK button on the message window will close the Database Backup Utility.

  • Close - Click this button to close the Database Backup Utility without making a backup.

Note: It is important to understand how backup files are named, so you can choose the correct backup file should you ever need to restore your database from a backup. The filename of a backup file is the date the backup was made with ".a2b" appended to the end. For example, a backup made on July 28, 2015, would be named "07-28-2015.a2b".

Note: If you see an error message displaying "I/O error 21" a removable media drive that does not contain a disk has been selected. Insert a disk in the drive and re-select that drive from the drop down list.

Note: The Database Backup Utility does not backup "system" tables (i.e. those that contain information that cannot be changed, like Auction Categories). System tables are maintained through program updates.


Automating Backups Using the Task Scheduler

The Database Backup Utility can be added to the Windows Task Scheduler to automatically backup your Auction Wizard 2000 database at regularly scheduled times. You should schedule backups to begin at a time when you will not be using Auction Wizard 2000. The Database Backup Utility will fail if Auction Wizard 2000 is running when the backup is scheduled to begin.

To add the Database Backup Utility to the Task Scheduler, open the Task Scheduler and double click on the "Add Scheduled Task" icon. The Scheduler Task Wizard will be displayed. Click on the Next > button.

Locate the icon for the Database Backup Utility in the list of available applications. Click on the Database Backup icon, then click the Next > button.

Select how often you want to backup your database. The more data you have, the more often you should backup your database. Weekly backups are sufficient in most cases. Click the Next > button to proceed to the next step.

Different options are displayed based on how often you want to backup your database. Select the appropriate options for your backups. Remember to schedule backups to begin at a time when you will not have Auction Wizard 2000 running on your computer. The backup will fail if Auction Wizard 2000 is running when the backup begins. If you use Auction Wizard 2000 on a network, then it must be closed on all computers in order for the backup task to run. Click on the Next > button after you have selected the options you want to use.

When you reach the last step of the Scheduled Task Wizard put a check in the Open Advanced Properties checkbox, then click the Finish button.

The properties for the Backup Database task will be displayed.

Click in the Run: field and add a space and /Q to the end of the field as shown below. This is a required command line parameter. If you do not add this parameter to the Run: field, the backup program will run at its scheduled time, but it won't automatically start backing up your database.

By default the backup will use the settings that were selected on the Auction Wizard 2000 Database Backup Utility window the last time you ran the Database Backup Utility from its Start menu icon. You can override these settings using command line parameters. If you want to override the settings, then add additional command line parameters to the end of the Run: field. Each command line parameter must be preceded by a space. The example shown below will backup all data from the database and the archive. The backup file will be stored in the C:\Aw2000 folder.

Click the OK button when you are finished.

You can verify that the scheduled task is configured properly. Right click on the Database Backup task on the Task Scheduler window and select Run from the popup menu. If the task is properly configured, the Auction Wizard 2000 Database Backup Utility window will open and the backup will begin. If the window does not open or the backup doesn't begin, then right click on the Database Backup task, select Properties from the popup menu and make corrections.

Command Line Parameters

Command line parameters may be specified in the Run: field on the Properties window for the Database Backup task in the Task Scheduler. Each command line parameter corresponds to a field on the Auction Wizard 2000 Database Backup Utility window. By default the Database Backup Utility will use the settings you selected the last time you ran it from its start menu icon. Command line parameters are used to override those settings.

/B - Overrides the state of the Backup Database Tables checkbox

/B=1 Specify this parameter to include the database tables in the backup file.

/B=0 Specify this parameter to exclude the database tables from the backup file.

/A - Overrides the state of the Backup Archive Tables checkbox

/A=1 Specify this parameter to include the archive tables in the backup file.

/A=0 Specify this parameter to exclude the archive tables from the backup file.

/I - Overrides the state of the Exclude Images from Backup checkbox

/I=1   Specify this parameter to include images in the backup file.

/I=0 Specify this parameter to exclude images from the backup file.

/E - Overrides the state of the Exclude Email Messages from Backup checkbox

/E=1 Specify this parameter to include email messages in the backup file.

/E=0 Specify this parameter to exclude email messages from the backup file.

/F - Make a full backup of the database

/F Specify this option to make a full backup of the database and archive tables, including images and email messages. The /B, /A, /I and /E options are ignored when this option is used.

/P - Overrides the Backup Database To controls

/P="d:\path" Specifies the drive and path where the backup file will be stored. Replace "d:\path" with the drive letter and the full path to the folder where the backup file should be stored. The entire path must be enclosed in quotes (e.g. /P="C:\Aw2000").

/Q - Runs the backup in Quiet Mode

/Q Specify this parameter to start the backup without user intervention. This parameter must be specified in the Run: field when running the Database Backup Utility as a scheduled task. If this parameter is not specified for a scheduled task, the Database Backup Utility will run at its scheduled time, but it will wait for you to click the Backup button before it begins backing up your database.


Manual Backups

Auction Wizard 2000 database and/or archive files can be backed-up manually. This may be necessary if a backup file created by the Database Backup Utility is too large to fit on a single CD or DVD. The manual process is simply a matter copying the database and/or archive files to another location.

Making a Manual Backup

The Auction Wizard 2000 database files are stored in the C:\Aw2000\Database folder (assuming Auction Wizard 2000 was installed in the C:\Aw2000 folder). To manually backup the database, copy all of the files in the C:\Aw2000\Database folder to a CD, DVD, flash drive or tape drive. The C:\Aw2000\Database folder contains a subfolder named ImageData that must also be backed up, otherwise the images will not be included in your backup)

The C:\Aw2000\Database folder also contains a subfolder named Archive. If you copy the Archive subfolder, then the archive files will also be backed up. The ImageData folder within the Archive folder must be included.

The Auction Wizard 2000 archive files are stored in the C:\Aw2000\Database\Archive folder (assuming Auction Wizard 2000 was installed in the C:\Aw2000 folder). To manually backup the archive, copy all of the files in the C:\Aw2000\Database\Archive folder to a CD, DVD, flash drive or tape drive. Remember to include the ImageData subfolder.

Restoring from a Manual Backup

To restore a backup that was made manually, simply copy the files back to their original locations (C:\Aw2000\Database for the database or C:\Aw2000\Database\Archive for the archive).

Note: All files on a CD or DVD have their Read-only file attribute turned on. If you restore files directly from a CD or DVD, you must turn off the Read-only file attribute on all of the files after you copy them to your hard drive. This can be done using the Windows Explorer. However, files in the ImageData subfolder are supposed to have their Read-only attribute turned on, so it should not be turned off on files in that folder.